#include <stdio.h>
#include <stdlib.h>

/*
* =================================================
*    Filename:  .c
* Description:
*     Created:  dd/mm/18 hh:mm
* =================================================
*/

typedef struct dados
{
	char nome[20];
	int numero;
} Dados;

void aloca_structs(Dados **estruct, int N)
{
	*estruct = (Dados *) malloc(N * sizeof(Dados));
}

void manipula_um_par(Dados *par)
{
	par->numero /= 2;
}

void manipula_pares(Dados *estrutura, int num)
{
	for(int i = 0;i < num;i++)
		if(estrutura[i].numero % 2 == 0)
			manipula_um_par(&estrutura[i]);
}

int main(int argc, char **argv)
{
	Dados *stru;
	int num;

	printf("Qual o tamanho do vetor de estruturas? ");
	scanf("%d", &num);

//	stru = (Dados *) malloc(num * sizeof(Dados));
	aloca_structs(&stru,num);

	for(int i = 0;i < num;i++)
	{
		printf("Digite %do numero: ", i+1);
		scanf("%d", &stru[i].numero);
		printf("\nDigite um nome: ");
		setbuf(stdin,NULL);
		scanf("%[^\n]s", &stru[i].nome);
		printf("\n--------------\n\n");
	}

	manipula_pares(stru,num);

	for(int i = 0;i < num;i++)
		printf("\nnumero da %da estrutura: %d", i+1, stru[i].numero);

	free(stru);
    return 0;
}

